Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class PdsDirectory.MemberInfo.Statistics

    java.lang.Object
      com.ibm.jzos.PdsDirectory.MemberInfo.Statistics

Enclosing class:
  PdsDirectory.MemberInfo

    public class PdsDirectory.MemberInfo.Statistics

extends java.lang.Object

A nested inner class of MemberInfo which defines/maps ISPF directory entry statistics.

The layout for these SPF statistics can be found in the ISPF Developer's Guide and Reference.

Byte Description and Format (modified to use 0 offset)

     0 Version number, in hexadecimal format. Value is between X'01' and X'99'.
     1 Modification level, in hexadecimal format. Value is between X'00' and X'99'.
     2 Flags:
      Bit 1 SLCM indicator. SCLM uses this to determine whether the member
      and any related SCLM information are still in sync.
      v ON means the member was last edited by SCLM, the PDF
      Software Configuration and Library Manager.
      v OFF means the member was somehow processed outside SCLM.
      Bit 2:8 Reserved for future ISPF use.
     3 The seconds portion of the time last modified, in packed decimal format.
     4:7 Creation date:
      Byte 4 Century indicator.
      Byte 5:7 Julian date, in packed decimal format
     8:11 Date last modified:
      Byte 8 Century indicator.
      Byte 9:11 Julian date, in packed decimal format
     12:13 Time last modified, in packed format:
      Byte 12 Hours, in packed decimal format
      Byte 13 Minutes, in packed decimal format
     14:15 Current number of lines, in hexadecimal format
     16:17 Initial number of lines, in hexadecimal format
     18:19 Number of modified lines, in hexadecimal format
     20:26 Userid, in character format
     27:29 Reserved for future ISPF use

Field Summary
`java.util.Date` | `creationDate`
`int` | `currentLines`
`byte` | `flags`
`int` | `initialLines`
`int` | `mod`
`java.util.Date` | `modificationDate`
`int` | `modifiedLines`
`java.lang.String` | `userid`
`int` | `version`

Constructor Summary
`PdsDirectory.MemberInfo.Statistics()`

Method Summary
`java.lang.String` | `toString()` Answer a string representation of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public int version

### mod

    public int mod

### flags

    public byte flags

### creationDate

    public java.util.Date creationDate

### modificationDate

    public java.util.Date modificationDate

### currentLines

    public int currentLines

### initialLines

    public int initialLines

### modifiedLines

    public int modifiedLines

### userid

    public java.lang.String userid

Constructor Detail

### PdsDirectory.MemberInfo.Statistics

    public PdsDirectory.MemberInfo.Statistics()
                                       throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

Method Detail

### toString

    public java.lang.String toString()

  Answer a string representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD